org.eclipse.jetty.websocket

## Class DeflateFrameExtension

- java.lang.Object
- - org.eclipse.jetty.websocket.AbstractExtension
  - - org.eclipse.jetty.websocket.DeflateFrameExtension

- All Implemented Interfaces:
    Extension, WebSocketGenerator, WebSocketParser.FrameHandler

      public class DeflateFrameExtension
      extends AbstractExtension

  TODO Implement proposed deflate frame draft

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateFrameExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFrame(byte flags, byte opcode, byte[] content, int offset, int length)`
    `boolean` | `init(Map<String,String> parameters)`
    `void` | `onFrame(byte flags, byte opcode, Buffer buffer)`

    - ### Methods inherited from class org.eclipse.jetty.websocket.AbstractExtension

      `bind, clearFlag, close, flush, getConnection, getInitParameter, getInitParameter, getInitParameter, getName, getParameterizedName, isBufferEmpty, isFlag, setFlag, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateFrameExtension

          public DeflateFrameExtension()

  - ### Method Detail

    - #### init

          public boolean init(Map<String,String> parameters)

      Specified by:
        `init` in interface `Extension`
      Overrides:
        `init` in class `AbstractExtension`

    - #### onFrame

          public void onFrame(byte flags,
                     byte opcode,
                     Buffer buffer)

      Specified by:
        `onFrame` in interface `WebSocketParser.FrameHandler`
      Overrides:
        `onFrame` in class `AbstractExtension`

    - #### addFrame

          public void addFrame(byte flags,
                      byte opcode,
                      byte[] content,
                      int offset,
                      int length)
                        throws IOException

      Specified by:
        `addFrame` in interface `WebSocketGenerator`
      Overrides:
        `addFrame` in class `AbstractExtension`
      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.